aboutsummaryrefslogtreecommitdiffstats
path: root/doc/scripts
diff options
context:
space:
mode:
authorlloyd <[email protected]>2009-10-25 22:31:29 +0000
committerlloyd <[email protected]>2009-10-25 22:31:29 +0000
commit7ca895a057361cba037186b771f0e4ed00a6a0f3 (patch)
tree5ebce7ca3646489e3d62b3d136ba62e4fd105046 /doc/scripts
parent059e215aa10c0c69ea52fb787b8b2e7ea3d1ea01 (diff)
Add ; after call to VC++'s __cpuid, not a macro
Diffstat (limited to 'doc/scripts')
-rwxr-xr-xdoc/scripts/dist.sh19
1 files changed, 13 insertions, 6 deletions
diff --git a/doc/scripts/dist.sh b/doc/scripts/dist.sh
index 9629446cf..8121bcd0e 100755
--- a/doc/scripts/dist.sh
+++ b/doc/scripts/dist.sh
@@ -3,11 +3,18 @@
# This is probably only useful if run on my machine, which is not
# exactly ideal
-SELECTOR=h:net.randombit.botan.1_8
+# Make that limitation explicit
+if [ $(hostname -s) != 'chihiro' ]; then
+ echo "This script probably won't work on this machine without fixes"
+ exit 1
+fi
+
+SELECTOR=h:net.randombit.botan
KEY_ID=EFBADFBC
-MTN_DB=/storage/mtn/botan.mtn
-WEB_DIR=~/projects/www
+MTN_DB=$HOME/var/mtn/botan.mtn
+WEB_DIR=/var/www/randombit.net/
DIST_DIR=~/Botan-dist
+VERSION_DIR=v1.9
# You shouldn't have to change anything after this
mkdir -p $DIST_DIR
@@ -26,7 +33,7 @@ rm -f .mtn-ignore
# Build docs
cd doc
-for doc in api tutorial building
+for doc in api tutorial building python
do
latex $doc.tex
latex $doc.tex
@@ -60,5 +67,5 @@ read -a PASSWORD -p "Enter PGP password (or ^C to skip signatures): "
echo $PASSWORD | gpg --batch --armor -b --passphrase-fd 0 -u $KEY_ID Botan-$VERSION.tgz
echo $PASSWORD | gpg --batch --armor -b --passphrase-fd 0 -u $KEY_ID Botan-$VERSION.tbz
-mv Botan-$VERSION.tgz* $WEB_DIR/files/botan/v1.8
-mv Botan-$VERSION.tbz* $WEB_DIR/files/botan/v1.8
+mv Botan-$VERSION.tgz* $WEB_DIR/files/botan/${VERSION_DIR}
+mv Botan-$VERSION.tbz* $WEB_DIR/files/botan/${VERSION_DIR}